Project and Portfolio Management Practitioners Forum
cancel

Upgrade from 8.03-caution

Highlighted
dirkf
Acclaimed Contributor.

Upgrade from 8.03-caution

Hi all,

 

those that actively and thoroughly read Release Notes before migration of their instances might be able to ignore this thread - all others should be highly aware.

 

In PPM 8.03, there are a LOT of changes to core functionalities. Du to that, since PPM 9.10 and 9.11 were released BEFORE that, problems might occur. It is therefore IMPORTANT if 8.03 is installed and 9.1 is a target, to install 9.10 and then IMMEDIATELY deploy SP 2 without running PPM in order to avoid ANY problems with the functionalities.

 

Here the quote from the latest Release Notes (I believe version is from August 2011):

 

On PPM 9.12 Release notes, page 18:

PPM Center versions 9.10 and 9.11 were released before versions 8.03 and 9.12.
Versions 8.03 and 9.12 include improvements to core functionality that are compatible
between those versions, but are not supported on the older versions 9.10 and 9.11.
If PPM Center is running at version 8.03, do not upgrade to and then run at version
9.10 or 9.11. Instead, upgrade from version 8.03 to version 9.10 temporarily without
running PPM Center, and then upgrade immediately to version 9.12.

 

Hope this helps to avoid the one or other problem and resulting ticket.

Best regards,

Dirk

2 REPLIES
ppm9
Respected Contributor.

Re: Upgrade from 8.03-caution

Thanks Dirk! This would help many planning to upgrade.

kintanadan
Super Contributor.

Re: Upgrade from 8.03-caution

Thanks Dirk,

 

For the group, also please note that a new upgrade bundle (.iso) was released on 9/22/2011.

Our first attempt with this bundle on a 8.03 instance failed with a ORA-02292 - Integrity Constraint.

The flawed script is: upgrade_910\910\postseed\core\knta_services_810_2.sql

The flawed SQL is: DELETE knta_services WHERE REFERENCE_CODE = '_TM_PM_SYNC_SERVICE'

 

You may or may not run into this issue.  PPM Support has a SQL fix.

 

Thanks